POLDEK(1)

Name
poldek - package management helper tool

Synopsis

    poldek  [OPTION...] [PACKAGE...]
    ipoldek  [OPTION...] [COMMAND...] [COMMAND_OPTION...] [PACKAGE...]

Description

poldek is a full-featured packages management utility, basically designed to work with rpm packages. Basic features are similar to every modern package updater like apt-get. Program takes information about packages from package repositories (aka sources) and do package management tasks like installation, upgrading or removal.

This manual page covers command line option reference, the full documentation for poldek is available as a Texinfo manual. Do info poldek to get it.

Options reference

  Repository index creation

--mkidx[=PATH]
    Create package index (under SOURCE-PATH by default)

--mt=TYPE[,TYPE]
    Set created index type (use --stl to list available values)

--nodesc
    Don't put package user-level information (like Summary or Description) into created index.

--nodiff
    Don't create index delta files

--nocompress
    Create uncompressed index

  Repository selection

-s, --source=PATH
    Get packages info from repository under PATH

-n, --sn=SOURCE-NAME
    Get packages info from repository named SOURCE-NAME

--dn=SOURCE-NAME
    Install to source SOURCE-NAME instead to the system

--st=SOURCE-TYPE
    Set the source type (use --stl to list available values)

-P, --prefix=PREFIX
    Get packages from PREFIX instead of SOURCE

  Repository related actions

--stl
    List available source types

-l, --sl
    List configured sources

--update
    Update the source and verify it

--update-whole
    Update whole index of source

--clean
    Remove source index files from cache directory

--clean-pkg
    Remove cached packages of the source

--clean-whole
    Remove all files belongs to source from cache directory

  Package related options

--pset=FILE
    Take package set definition from FILE

--caplookup
    Look into package capabilities and files to resolve packages

  Package installation

-i, --install
    Install given packages

--reinstall
    Reinstall given packages

--downgrade
    Downgrade

-u, --upgrade
    Upgrade given packages

  Distribution installation/upgrade

--install-dist=DIR
    Install package set under DIR as root directory

--upgrade-dist[=DIR]
    Upgrade all packages needs upgrade

--reinstall-dist[=DIR]
    Reinstall all packages under DIR as root directory

  Installation switches

--hold=PACKAGE[,PACKAGE]...
    Prevent packages listed from being upgraded if they are already installed. If option is not set then packages to hold are taken from hold configuration option. Held package won't be upgraded with exception if it will be pointed directly by the user. .sp Example: .sp .if n .RS 4 . .fam C .ps -1 .nf .if t .sp -1 . .BB lightgray adjust-for-leading-newline .sp -1 $ poldek --hold=kernel\*,dev ... .EB lightgray adjust-for-leading-newline .if t .sp 1 . .fi .fam .ps +1 .if n .RE . .sp .sp Configuration option: hold = PACKAGE[,PACKAGE]...

--nohold
    Do not hold any packages. Disables --hold settings.

--ignore=PACKAGE[,PACKAGE]...
    Make packages listed invisible to the program. If option is not set then packages to ignore are taken from ignore configuration option. .sp Example: .sp .if n .RS 4 . .fam C .ps -1 .nf .if t .sp -1 . .BB lightgray adjust-for-leading-newline .sp -1 $ poldek --ignore=kernel\*-smp\*,foo .EB lightgray adjust-for-leading-newline .if t .sp 1 . .fi .fam .ps +1 .if n .RE . .sp .sp Configuration option: ignore = PACKAGE[,PACKAGE]...

--noignore
    Make invisibled packages visible. Disables --ignore settings.

-Q, --uniq
    Remove package duplicates from available package list

--parsable-tr-summary
    Print installation summary in parseable form

--force
    Install packages ignoring broken dependencies, conflicts, etc

-t, --test
    Do not install packages, but tell if it would work or not. Given once causes poldek's checks only, to perform full tests using rpm;, option must be given twice.

-F, --fresh
    Upgrade packages, but only if an earlier version currently exists

-N, --nofollow
    Don't install packages required by selected ones

--follow[=[yes|no]]
    Install packages required by selected ones

--greedy[=[yes|no]]
    Automatically upgrade packages which dependencies are broken by uninstalled ones, for example if package foo is upgraded from version 1.0 to 1.2 and package foo-devel is already installed with requirement "foo = 1.0" then foo-devel will be upgraded to version 1.2 too. .sp Configuration option: greedy = [yes|no]

--fetch[=DIR]
    Download packages to DIR (poldek's cache directory by default)instead of install them

-r, --root=DIR
    Set top directory to DIR

--nodeps
    Install packages with broken dependencies

-m, --mercy
    Be tolerant for unmatched versioned dependencies which rpm; tolerates, e.g. package A requires capability foo >= 1.0 while package B provides "foo" without any version. Use with care. .sp Configuration option: mercy = [yes|no]

--promoteepoch
    Promote non-existent requirement's epoch to package's one (rpm; < 4.2.1 behaviour). Configuration option: promoteepoch = [yes|no]

--dump[=FILE]
    Print packages file names to FILE (stdout by default) instead of install them

--dumpn[=FILE]
    Print packages names to FILE (stdout by default) instead of install them

--justdb
    Modify only the database

--pm-nodeps
    Same as --nodeps but applied to PM (rpm) only

--pm-force
    Same as --force but applied to PM (rpm) only)

--pmopt=OPTION
    Pass option to package manager (rpm) binary. Example:

            $ poldek --pmopt=ignoreos

  Package deinstallation

-e, --erase
    Uninstall given packages

-t, --test
    Do not remove, but tell if it would work or not

-N, --nofollow
    Remove only selected packages

--nodeps
    Ignore broken dependencies

--greedy[=[yes|no]]
    Remove packages required by selected ones if possible

  Verification options/switches

-V, --verify[=REPORT-TYPE...]
    Verify package set, available reports are: 'deps', 'conflicts', 'file-conflicts', 'file-orphans' and 'file-missing-deps'. Default is 'deps'.

  Splitting options

--split=SIZE[:FIRST_FREE_SPACE]
    Split packages to SIZE MB size chunks, the first chunk will be FIRST_FREE_SPACE MB smaller

--priconf=FILE
    Take package priorities from FILE

--split-out=PREFIX
    Write chunks to PREFIX.XX, default PREFIX is 'packages.chunk'

  Miscellaneous options

--pmcmd=FILE
    Use FILE as PM(rpm) binary

--sudocmd=FILE
    Use FILE as sudo binary

--cachedir=DIR
    DIR points to directory where all downloaded files will be stored. If not set then $TMPDIR is used. If $TMPDIR is not set then $HOME/.poldek-cache is created and used as cache directory

--cmd
    Run in command mode (like ipoldek does by default)

--ask
    Confirm packages installation and let user choose among equivalent packages

--noask
    Don't ask about anything

--shell
    Run in interactive mode (default)

--skip-installed
    Don't load installed packages at startup

--conf=FILE
    Read configuration from FILE

--noconf
    Do not read configuration

--upconf
    Update remote configuration files (if any)

--version
    Display program version information and exit

--log=FILE
    Log program messages to FILE

--runas=USER
    Run program as user USER

-O OPTION=VALUE
    Can be used to give options in the format used in the configuration file. This is useful for specifying options for which there is no separate command-line flag. Whitespaces in option names may be replaced with underscore '_' or dash '-' there, for example:

        $ poldek -O keep-downloads=yes

-v
    Be verbose.

-q
    Do not produce any output.

AUTHOR

Pawel A. Gajda <mis at pld-linux.org>

See CREDITS file for a list of contributors.

See also

poldek.conf(1)